# Computerlinguistische Analyse des Merlin Corpus (https://merlin-platform.eu/) mit CTAP
# Skript zur Datenanalyse
#
# Zarah Weiss, 18.02.2020
# =============================================================================================

rm(list = ls())
library(tidyverse)
source("source.R")


# Laden Sie die Analysedatei, die CTAP generiert hat, und bringen Sie diese in das richtige Format
# =============================================================================================

# Datei laden
merlin.daten.im.langformat <- read_delim("merlin-th1-50.csv", delim = "\t", col_types = "nccncn")
# Meta-Informationen aus Dateinamen extrahieren und nicht benötigte Meta-Informationen entfernen
merlin.daten <- merlin.daten.vorbereitung(merlin.daten.im.langformat)

# Gewinnen Sie einen Überblick über Ihre Daten
str(merlin.daten)
# Begutachten Sie die Verteilung der Aufgaben
table(merlin.daten$Task.ID)
# Begutachten Sie die Verteilung der Kompetenzstufen
table(merlin.daten$CEFR.Score.Overall)
# Begutachten Sie die Verteilung der Erstsprachen
table(merlin.daten$L1)
# Begutachten Sie die Verteilung der Geschlechter
table(merlin.daten$Gender)


# Visuelle Inspektion der sprachlichen Entwicklung über Kompetenzlevel anhand von Oberflächenmaßen
# =============================================================================================

# Hier legen Sie den Namen des Merkmals fest sowie den Dateinamen, unter dem Sie den Plot speichern möchten.
aktueller.merkmalsname <- "Number of Tokens"
aktueller.dateiname <- "number_of_tokens.pdf"

# Generieren Sie Boxplots mit der Variable "Anzahl der Wörter und Zeichen"
# Diese Zeilen können Sie ausführen, um einen Boxplot zu erstellen
mein.beispielplot <- erstelle.boxplot(merlin.daten, aktueller.merkmalsname)

# Führen Sie die folgenden Zeile aus, um den Plot im Verzeichnis plots/ zu speichern.
speichere.boxplot(datei.name = aktueller.dateiname, aktueller.plot = mein.beispielplot)

# Um sich den Plot in RStudio anzusehen, führen Sie folgende Zeile aus
mein.beispielplot 


# Machen Sie sich einen Überblick über die durchschnittliche Satzlänge in Wörtern
# =============================================================================================

# Für Ihre eigenen Analysen können Sie hier den Merkmalsnamen angeben.
aktueller.merkmalsname <- "Number of Tokens"
# Wählen Sie hier einen neuen Dateinamen, unter dem Sie Ihr Ergebnis speichern möchten.
# Vergessen Sie nicht die Dateiendung .pdf am Ende des Namens
aktueller.dateiname <- "number_of_tokens.pdf"

# Nun führen Sie die folgenden 3 Zeilen aus, um ihren Plot zu erstellen und anzusehen
mein.beispielplot <- erstelle.boxplot(merlin.daten, aktueller.merkmalsname)  # hier erstellen Sie den Plot
speichere.boxplot(datei.name = aktueller.dateiname, aktueller.plot = mein.beispielplot)  # hier speichern Sie den Plot
mein.beispielplot  # Hier sehen Sie sich den Plot in RStudio an







