# Computerlinguistische Analyse des Merlin Corpus (https://merlin-platform.eu/) mit CTAP
# Skript zur erweiterten Datenanalyse
#
# Zarah Weiss, 18.02.2020
# =============================================================================================

rm(list = ls())
library(tidyverse)
source("source.R")


# Laden Sie die Analysedatei, die CTAP generiert hat, und bringen Sie diese in das richtige Format
# =============================================================================================

# Analyse der korrigierten Texte laden 
merlin.daten.im.langformat.korrigiert <- read_delim("merlin-th1-all.csv", delim = "\t", col_types = "nccncn")

# Analyse der nicht-korrigierten Texte laden
merlin.daten.im.langformat.nichtkorrigiert <- read_delim("merlin-orig-all.csv", delim = "\t", col_types = "nccncn")

# Kombination der korrigierten und nicht korrigierten Daten. Sie finden die Information, 
# ob es sich um korrigigierte Daten handelt oder nicht in der binären Variable Wurde.Korrigiert
merlin.daten <- merlin.daten.vorbereitung2(merlin.daten.im.langformat.korrigiert, merlin.daten.im.langformat.nichtkorrigiert)

# Untersuchung von Aufgabeneffekten auf Merkmale sprachlicher Komplexität
# =============================================================================================

# Hier legen Sie den Namen des Merkmals fest sowie den Dateinamen, unter dem Sie den Plot speichern möchten.
aktueller.merkmalsname <- "Number of Tokens"
aktueller.dateiname <- "number_of_tokens.pdf"

# Generieren Sie Boxplots mit der Variable "Anzahl der Wörter und Zeichen"
# Diese Zeilen können Sie ausführen, um einen Boxplot zu erstellen
mein.beispielplot <- erstelle.boxplot.korrigiert.nichtkorrigiert(merlin.daten, aktueller.merkmalsname)

# Führen Sie die folgenden Zeile aus, um den Plot im Verzeichnis plots/ zu speichern.
speichere.boxplot(datei.name = aktueller.dateiname, aktueller.plot = mein.beispielplot)

# Um sich den Plot in RStudio anzusehen, führen Sie folgende Zeile aus
mein.beispielplot 


# Untersuchung von Aufgabenunterschieden in den korrigierten oder nicht-korrigierten Daten
# =============================================================================================

# Für Ihre eigenen Analysen können Sie hier den Merkmalsnamen angeben.
aktueller.merkmalsname <- "Number of Tokens"
aktueller.dateiname <- "number_of_tokens.pdf"

# Nun führen Sie die folgenden 3 Zeilen aus, um ihren Plot zu erstellen und anzusehen
mein.beispielplot <- erstelle.boxplot.mit.aufgabensplit(merlin.daten[merlin.daten$Wurde.Korrigiert,], aktueller.merkmalsname)  # hier erstellen Sie den Plot
speichere.boxplot(datei.name = aktueller.dateiname, aktueller.plot = mein.beispielplot)  # hier speichern Sie den Plot
mein.beispielplot  # Hier sehen Sie sich den Plot in RStudio an







